Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# HTTP Channel Advanced Configuration Settings

The following settings configure the internal Tomcat HTTP server used by the channel. They are set in the Advanced tab of the HTTP channel resource editor.

Important: You can use global variables in all the advanced properties. For more details, see Working with Global Variables.

HTTP Channel Advanced Configuration Settings
Property | Note
--- | ---
Server Type | The only server type in this release is TOMCAT.
Connector Type | Type of the TOMCAT connector. The default value is NIO.
No. of Connector Instances | Number of the connector instances. The default value is 1.
Debug Request Info | Select the checkbox to specify whether the information is displayed for request debugging. If Debug Request Info is selected, the following two debug fields are also activated for update: Debug Log Folder Debug Log Pattern
Debug Log Folder | Specifies the location of generating the log file. This field is activated only if the Debug Request Info checkbox is selected. The default location is a new log folder in the currently running folder.
Debug Log Pattern | Specifies the configurable pattern for generating the log content. The syntax of the pattern is the same as used in the Apache HTTP server. Please refer to the Tomcat documentation for more details about pattern syntax.
Debug Log Rotatable | Select this option to activate rotation (regular cycling) of log files by removing the old log files and creating ones. Use the following fields to set up log file rotation cycle and retention: Debug Log File Pattern Debug Log Rename on Rotatable Debug Log Max Days The default status is selected.
Debug Log File Pattern | The pattern to specify the rotation cycle. The default pattern is `.yyyy-MM-dd`, which rotates the file every day. You can also specify the `.yyyy-MM-dd.HH` pattern to rotate every hour and `.yyyy-MM-dd.mm` to rotate log files every minute.
Debug Log Rename on Rotatable | Select this option to rename the log files automatically on rotation. The default status is selected.
Debug Log Max Days | Set a value to define the number of days after which older files are deleted. The default value is `-1` (forever).
Connection Timeout (msec) | The number of milliseconds the HTTP server waits after accepting a connection, for the request URI line (that is, the first part of the request message) to be presented. The value `0` means no timeout. The default is 60000.
Accept Count | The maximum queue length for incoming connection requests when all request processing threads are in use. Any requests received when the queue is full are refused. The value `-1` means that a default of 10 is set. The default is -1.
Socket Output Buffer Size | The size in bytes of the buffer to be provided for socket output buffering. The value `-1` means that the use of a buffer is disabled. The default is 9000.
Max Processors | The maximum number of simultaneous requests that can be handled by the HTTP server. Set to one of these: A value of 10 or greater. Values of less than 10 are treated as 10. The value `-1` which means that the value of 200 is used. The default is `-1`.
Connection Linger | The number of milliseconds during which the sockets used by the HTTP server linger (that is, not complete immediately) when they are closed. Use of socket linger allows time for a graceful shutdown sequence to complete. To disable use of socket linger, set to -1. The default is `-1`.
Enable DNS Lookups | Set to `true` if you want the calls to `request.getRemoteHost()` to perform DNS lookups and return the actual host name of the remote client. Set to `false` to skip the DNS lookup and return the IP address as a string instead (thereby improving performance). By default, DNS lookups are disabled.
TCP No Delay | If the checkbox is selected, the `TCP_NO_DELAY` option is set on the server socket. If the checkbox is cleared, the `TCP_NO_DELAY` option is not set on the server socket. Using `TCP_NO_DELAY` improves performance under most circumstances. The default is selected.
Compression | Compression can be used to save server bandwidth. Uses `HTTP/1.1 GZIP` compression. The compression option set here is used together with the MIME types shown in the Compressible Mime Types setting. The valid values are as follows: off Disables compression. Values in the Compressible Mime Types setting are ignored. on Enables compression force Forces compression. An integer Specifies a threshold amount of data above which output is compressed. The unit is bytes. For example, if set to `2048` then any file above 2MB is compressed. If content length is unknown, the output is always compressed. Compression applies to MIME types shown in the Compressible Mime Types setting that are over the threshold (or unknown). The default is off.
Use Body Encoding for URI | If selected, the encoding specified in the `contentType` HTTP header is used to decode the request URI. If not selected, the value in the URI Encoding field (or its default value) is used. If the URI Encoding setting is specified, then the Use Body Encoding for URI checkbox is ignored. For an example showing `contentType`, see Working with Outgoing SOAP Messages (Event Payloads) . By default, this option is not selected.
URI Encoding | Specifies the character encoding used to decode the request URI. If not specified, UTF-8 is used. If specified, the Use Body Encoding for URI setting is ignored. The default is UTF-8.
Max KeepAlive Requests | The maximum number of HTTP requests that can be pipelined until the connection is closed by the server. A value of 1 disables `HTTP/1.0 keep-alive`, as well as `HTTP/1.1 keep-alive` and pipelining. A value of -1 allows an unlimited amount of pipelined or keep-alive HTTP requests. The default value is -1.
Max HTTP Header Size | The maximum size of the request and response HTTP header, specified in bytes. The default is 4096, that is 4 KB.
Max HTTP Post Size | The maximum size of the POST data, specified in bytes, which is handled by the container FORM URL parameter parsing. You can disable the limit by setting this to less than or equal to 0. The default is 2097152, that is, 2 MB.
Max HTTP Save Post Size | The maximum size of the POST data, specified in bytes, which is saved or buffered by the container during FORM or CLIENT-CERT authentication. For both types of authentication, the POST data is saved or buffered before the user is authenticated. For CLIENT-CERT authentication, the POST data is buffered for the duration of the SSL handshake and the buffer emptied when the request is processed. For FORM authentication the POST is saved when the user is redirected to the login form and is retained until the user successfully authenticates or the session associated with the authentication request expires. A value of -1 means no limit. A value of 0 disables the saving of POST data during authentication. The default is 4096, that is 4 KB.
Scheme | Specifies the HTTP scheme to use. The valid values are as follows: `http` - HTTP protocol `https` - For secure communications (SSL) `memory` - Memory protocol `ajp` - Apache JServ Protocol, a binary protocol The default value is `http`.
Session Timeout Interval (secs) | Specifies the timeout interval for inactive HTTP sessions. The value is specified in seconds. The default value is 1800.
Max Spare Threads | The maximum number of unused request processing threads that are allowed to exist until the thread pool starts stopping the unnecessary threads. The default is 50.
Min Spare Threads | The number of request processing threads that are created when this `Connector` is first started. The connector also makes sure that it has the specified number of idle processing threads available. Set this to a value smaller than that set for Max Spare Threads`.` The default is 4.
Compressible Mime Types | This is a comma-separated list of MIME types for which HTTP compression may be used. This setting works with the Compression setting See notes for that setting for more details. The default value is `text/html,text/xml,text/plain`.
Restricted User Agents | Used to limit support to specific browsers and versions of specific browsers. Comma-separated list containing one or more browser names, such as Mozilla, Internet Explorer. Prepend version with a slash, for example, `Mozilla/4.0`.
Document Root | The absolute path where static HTML files are stored. The HTTP server retrieves pages from this location. This setting is used by internal TIBCO BusinessEvents applications and may have limited application for other purposes. Tip: To enable clients of a TIBCO BusinessEvents HTTP server to view the imported concrete WSDL, provide the URL to the document root folder. No default value. You can use this setting for running the `readme.html` file for your application on your machine.
Document Page | The name of the default static HTML file stored in the document root. This setting is used by internal TIBCO BusinessEvents applications and may have limited application for other purposes.
SSL Server: Key Manager Algorithm | The key manager algorithm for the SSL Service provider. The default is SunX509.
SSL Server: Trust Manager Algorithm | The trust manager algorithm for the SSL Service provider. Ensure that a provider is available for any algorithm other than PKIX. The default is PKIX.
SSL Server: Protocols | The SSL protocols that can be enabled on the server. Add each protocol using a comma-separated list. The default protocols are the ones supported by the SSL Provider. (SSLv3 and TLSv1 are the most widely supported.) Leave blank to use the default protocols for your SSL provider.
SSL Server: Ciphers | The cipher suite (SSL protocols) used by the server. The following cipher suites are supported: `TLS_RSA_WITH_AES_128_GCM_SHA256` `TLS_RSA_WITH_AES_256_GCM_SHA384` `TLS_DHE_RSA_WITH_AES_128_GCM_SHA256` `TLS_DHE_RSA_WITH_AES_256_GCM_SHA384` `TLS_DHE_DSS_WITH_AES_128_GCM_SHA256` `TLS_DHE_DSS_WITH_AES_256_GCM_SHA384` `TLS_AES_128_GCM_SHA256` `TLS_AES_256_GCM_SHA384` `TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256` `TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384` `TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256` `TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384` `TLS_DHE_RSA_WITH_ARIA_128_GCM_SHA256` `TLS_DHE_RSA_WITH_ARIA_256_GCM_SHA384` `TLS_DHE_DSS_WITH_ARIA_128_GCM_SHA256` `TLS_DHE_DSS_WITH_ARIA_256_GCM_SHA384` `TLS_ECDHE_ECDSA_WITH_ARIA_128_GCM_SHA256` `TLS_ECDHE_ECDSA_WITH_ARIA_256_GCM_SHA384` `TLS_ECDHE_RSA_WITH_ARIA_128_GCM_SHA256` `TLS_ECDHE_RSA_WITH_ARIA_256_GCM_SHA384` `TLS_DHE_RSA_WITH_CAMELLIA_128_GCM_SHA256` `TLS_DHE_RSA_WITH_CAMELLIA_256_GCM_SHA384` `TLS_DHE_DSS_WITH_CAMELLIA_128_GCM_SHA256` `TLS_DHE_DSS_WITH_CAMELLIA_256_GCM_SHA384` `TLS_ECDHE_ECDSA_WITH_CAMELLIA_128_GCM_SHA256` `TLS_ECDHE_ECDSA_WITH_CAMELLIA_256_GCM_SHA384` `TLS_ECDHE_RSA_WITH_CAMELLIA_128_GCM_SHA256` `TLS_ECDHE_RSA_WITH_CAMELLIA_256_GCM_SHA384` `TLS_RSA_WITH_AES_128_CCM` `TLS_RSA_WITH_AES_256_CCM` `TLS_DHE_RSA_WITH_AES_128_CCM` `TLS_DHE_RSA_WITH_AES_256_CCM` `TLS_RSA_WITH_AES_128_CCM_8` `TLS_RSA_WITH_AES_256_CCM_8` `TLS_DHE_RSA_WITH_AES_128_CCM_8` `TLS_DHE_RSA_WITH_AES_256_CCM_8` `TLS_ECDHE_ECDSA_WITH_AES_128_CCM` `TLS_ECDHE_ECDSA_WITH_AES_256_CCM` `TLS_ECDHE_ECDSA_WITH_AES_128_CCM_8` `TLS_ECDHE_ECDSA_WITH_AES_256_CCM_8` `TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256` `TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256` `TLS_DHE_RSA_WITH_CHACHA20_POLY1305_SHA256` Leave blank to use the default cipher suites for your SSL provider.
SSL Server: Use Cipher Order | Use the server cipher order to choose from the common list of ciphers between the client and the server. Select the SSL Server: Use Cipher Order checkbox to enable this property.
Server Header | Specifies the text that overrides the server details, displayed in the response header. The default value is "Apache-Coyote/1.1". The Server Header field is useful when you do not want to display server details in the response HTTP header for enhanced security.

You can configure additional HTTP channel connection properties provided by TIBCO BusinessEvents on the Cluster tab in the project CDD file or in the system TRA file to configure your HTTP channel application. For the list of TIBCO BusinessEvents HTTP channel connection properties, see TIBCO BusinessEvents Developer Guide

Subtopics

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.